Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflow-executions
/
{execution_id}
/
reset
Error
A valid request URL is required to generate request examples
{
  "execution_id": "<string>",
  "new_run_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
execution_id
string
required

Body

application/json
event_id
integer | null

Temporal history event id to reset from. If omitted, reset uses start.

Required range: x >= 1
reason
string | null
Maximum string length: 1024
reapply_type
enum<string>
default:all_eligible
Available options:
all_eligible,
signal_only,
none

Response

Successful Response

execution_id
string
required
Pattern: (wf-[0-9a-f]{32}|wf_[0-9a-zA-Z]+)[:/]((exec_[0-9a-zA-Z]+|exec-[\w-]+|(?:sch-[0-9a-f]{32}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})-.*))
new_run_id
string
required